function init(hero) {
    hero.setName("Static Shock");
    hero.setAliases("SS");
    hero.setTier(6);
    
    hero.setHelmet("mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("cwheropack:electrokinesis");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    
    hero.addKeyBind("CHARGE_ENERGY", "lightning", 1);
    hero.addKeyBind("ENERGY_PROJECTION", "Powersuit Blast", 4);
    hero.addKeyBind("STATIC_GLIDER", "Glider", 2);
    hero.addKeyBind("HOVER", "key.hover", 3);
    hero.addKeyBind("SPELL_MENU", "Energy Whip", 5);
    
    hero.setDefaultScale(0.9);

    hero.setHasProperty(hasProperty);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return entity.getData("cwheropack:dyn/static_glider");
    case "fiskheroes:flight":
        return entity.isOnGround();   
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "HOVER":
        return entity.getData("cwheropack:dyn/static_glider");   
    default:
        return true;
    }
}